Bug 1592744 - fleet-commander-admin requires both Python 2 and Python 3
Summary: fleet-commander-admin requires both Python 2 and Python 3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fleet-commander-admin
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alberto Ruiz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PYTHON3-PYTHON2
TreeView+ depends on / blocked
 
Reported: 2018-06-19 08:34 UTC by Iryna Shcherbina
Modified: 2019-03-20 23:06 UTC (History)
3 users (show)

Fixed In Version: fleet-commander-admin-0.10.8-5.fc27 fleet-commander-admin-0.10.8-5.fc28 fleet-commander-admin-0.10.8-5.el7 fleet-commander-admin-0.14.0-2.fc29 fleet-commander-admin-0.14.0-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-11 22:41:22 UTC


Attachments (Terms of Use)

Description Iryna Shcherbina 2018-06-19 08:34:32 UTC
The fleet-commander-admin-0:0.10.8-3 RPM requires both Python 2 and Python 3:

$ dnf repoquery --repo=rawhide --requires fleet-commander-admin | grep python
python2
...
python3


Except in very special circumstances, there is no need for one package
to drag in both Python stacks. Usually, this is a packaging error.

The runtime requirement for python3 in the main package was added with the update to version 0.10.8 [0], is it really needed?

Please split your package, or remove the stray dependencies.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 28 as well.


If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!


[0] https://src.fedoraproject.org/rpms/fleet-commander-admin/c/f1f22462be8519cf6f928587a810052e03b6af85?branch=master

Comment 1 Oliver Gutiérrez 2018-06-19 09:08:17 UTC
The reason for this is the package contains one subpackage that depends on python3.

fleet-commander-admin depends on python2

fleet-commander-logger depends on python3

Comment 2 Iryna Shcherbina 2018-06-19 09:14:05 UTC
Thanks for the reply, Oliver. The issue was created only for fleet-commander-admin subpackage, it has a runtime dependency on python3.

You can reproduce it with:

$ dnf repoquery --repo=rawhide --requires fleet-commander-admin | grep python
python2
python2-dbus
python2-gobject
python2-ipa-desktop-profile-client
python2-ipaclient >= 4.4.1
python2-ipalib >= 4.4.1
python2-libvirt
python2-pexpect
python3

Comment 3 Oliver Gutiérrez 2018-06-19 09:17:26 UTC
Ok. I will check it and update the package.

THanks for the advice.

Comment 4 Fedora Update System 2018-06-19 09:52:39 UTC
fleet-commander-admin-0.10.8-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b2223557f0

Comment 5 Fedora Update System 2018-06-19 09:53:09 UTC
fleet-commander-admin-0.10.8-5.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-010d81b064

Comment 6 Fedora Update System 2018-06-19 09:53:27 UTC
fleet-commander-admin-0.10.8-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-94652f07ca

Comment 7 Fedora Update System 2018-06-19 16:04:26 UTC
fleet-commander-admin-0.10.8-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b2223557f0

Comment 8 Fedora Update System 2018-06-19 16:36:24 UTC
fleet-commander-admin-0.10.8-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-94652f07ca

Comment 9 Fedora Update System 2018-06-19 16:57:43 UTC
fleet-commander-admin-0.10.8-5.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-010d81b064

Comment 10 Fedora Update System 2018-06-28 13:34:17 UTC
fleet-commander-admin-0.10.8-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-06-28 14:07:46 UTC
fleet-commander-admin-0.10.8-5.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-07-11 18:11:10 UTC
fleet-commander-admin-0.10.8-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Miro Hrončok 2018-11-25 16:24:44 UTC
fleet-commander-admin-0.12.1-1.fc30 requires:
  × pygobject2
  ✔ python3


fleet-commander-logger-0.12.1-1.fc30 requires:
  × /usr/bin/python2
  ✔ python3

× is for python2, ✔ for python3

Comment 14 Oliver Gutiérrez 2018-11-27 12:23:57 UTC
For admin I do not get the pygobject2 dependency

$ dnf repoquery --repo=rawhide --requires fleet-commander-admin
Fedora - Rawhide - Developmental packages for t 3.7 MB/s |  63 MB     00:17    
Last metadata expiration check: 0:00:42 ago on Tue 27 Nov 2018 12:19:51 PM WET.
python3
python3-dbus
python3-gobject
python3-ipa-desktop-profile-client
python3-ipaclient >= 4.4.1
python3-ipalib >= 4.4.1
python3-libvirt
python3-pexpect


For logger I get:

$ dnf repoquery --repo=rawhide --requires fleet-commander-logger | grep python
Last metadata expiration check: 0:01:42 ago on Tue 27 Nov 2018 12:19:51 PM WET.
/usr/bin/python2
python3
python3-dbus
python3-gobject

I will check the code again to check for any hashbangs I could still have set to python2.

Comment 15 Oliver Gutiérrez 2018-11-27 13:44:33 UTC
I've fixed the hashbang for logger upstream. Now I need to package it. Next packaging is expected before year end.

Comment 16 Miro Hrončok 2019-02-03 19:55:06 UTC
Happy 2019! Can I help you with this? Should I fix the shebang in spec?

Comment 17 Oliver Gutiérrez 2019-02-04 14:44:51 UTC
Hi Miro.

I'm about to finish the next Fleet Commander admin version so I could package it and update the package. The fix has been already done in the code, but not updated in the package.

I expect to update this before end of the month.

Comment 18 Ben Cotton 2019-02-19 17:12:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30.

Comment 19 Fedora Update System 2019-02-27 16:49:19 UTC
fleet-commander-admin-0.14.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-817ca4879c

Comment 20 Fedora Update System 2019-02-27 16:52:03 UTC
fleet-commander-admin-0.14.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-266c37d114

Comment 21 Miro Hrončok 2019-02-27 19:27:03 UTC
$ ls fleet-commander-*
fleet-commander-admin-0.14.0-2.fc30.noarch.rpm
fleet-commander-logger-0.14.0-2.fc30.noarch.rpm
$ rpm -qp --requires fleet-commander-* | grep py
python3
python3-dbus
python3-dns
python3-gobject
python3-ipa-desktop-profile-client
python3-ipaclient >= 4.4.1
python3-ipalib >= 4.4.1
python3-ldap
python3-libvirt
python3-pexpect
python3-samba
python3
python3-dbus
python3-gobject



Thanks!

Comment 22 Fedora Update System 2019-02-28 21:26:30 UTC
fleet-commander-admin-0.14.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-266c37d114

Comment 23 Fedora Update System 2019-02-28 21:54:57 UTC
fleet-commander-admin-0.14.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-817ca4879c

Comment 24 Fedora Update System 2019-03-11 22:41:22 UTC
fleet-commander-admin-0.14.0-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2019-03-20 23:06:39 UTC
fleet-commander-admin-0.14.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.